adobe reader 5.1 漏洞

发布时间:2004-03-19浏览次数:8

adobe reader 5.1 xfdf缓冲区溢出漏洞发布日期:2004-03-03更新日期:2004-03-08受影响系统: adobe acrobat reader 5.1描述: --------------------------------------------------------------------------------bugtraq id: 9802adobe acrobat reader用于查看pdf文档,reader可使xml表单数据格式或xfdf进行扩展。adobe acrobat reader在处理xfdf文件时不安全调用sprintf,远程攻击者可以利用这个漏洞构建包含此文件类型的恶意链接,诱使用户处理,造成缓冲区溢出。xfdf文件包含.xfdf扩展,可使用ie浏览器自动下载并打开,另外,不管文件扩展是什么,如果mime类型设置为"application/vnd.adobe.xfdf",文件都会作为xfdf处理。当adobe acrobat reader处理xfdf文件时在使用outputdebugstring输出调试消息时不安全调用sprintf,可造成典型的基于堆栈的缓冲区溢出。进程是否被调试此漏洞代码照样被调用,因此攻击者可以构建包含恶意xfdf文件的web链接,或发送email诱使用户处理,可触发缓冲区溢出,精心构建xfdf数据可能以进程权限执行任意指令。<*链接:http://marc.theaimsgroup.com/?l=bugtraq&m=107842545022724&w=2*>建议: --------------------------------------------------------------------------------厂商补丁:adobe-----目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:http://www.adobe.com/support/downloads/main.html

XML 地图 | Sitemap 地图